// components/ProgressComponent.js

export class ProgressComponent {

    static render(section, data) {

        const progress =
            Number(data.progress) || 0;

        return `
            <div class="project-progress">

                <div class="progress-label">
                    ${progress}%
                </div>

                <div class="progress-bar">

                    <div
                        class="progress-fill"
                        style="width:${progress}%">
                    </div>

                </div>

            </div>
        `;
    }
}
